@import '~@angular/material/prebuilt-themes/indigo-pink.css';
@import url("https://fonts.googleapis.com/icon?family=Material+Icons");
body {
  margin: 0;
  font-size: 18px;
  direction: ltr;
  font-family: "Vazir", Arial, Helvetica, sans-serif;
  background-color: #E9E9E9;

}
.bg-img {
  /*background-image: url('http://files.all-free-download.com//downloadfiles/wallpapers/1920_1080/empire_state_city_10591.jpg');*/
  min-height: 300px;
  background: linear-gradient( #093db3, #ff6a00eb);
  text-align: center;
  color: white;
  font-size: 40px;
  margin-top: 40px;
  background-size: cover;
  position: relative;
}

.white-icon {
  color: white;
}

.site-footer{
  background: #323BB1;
  height: 300px;
  color: #dddddd;
}

.navbar-button {
  background-color: transparent;
}

#navbar {
  overflow: hidden;
}

#navbar a {
  float: right;
  display: block;
  color: #f2f2f2;
  text-align: right;
  padding: 14px 14px;
  text-decoration: none;
  font-size: 15px;
}

#navbar a:hover {
  background-color: #ddd;
  color: dimgrey;
}

.shake-template{
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  background-color: #323BB1;
  left: 0;
  right: 0;
  margin-top: -200px;
  height: 180px;
  margin-bottom: 30px;
  -ms-transform: skewY(4deg);
  -webkit-transform: skewY(4deg);
  transform: skewY(4deg);
}

.shake-template2{
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  background-color: orange;
  left: 0;
  right: 0;
  margin-top: 30px;
  height: 170px;
  -ms-transform: skewY(-4deg);
  -webkit-transform: skewY(-4deg);
  transform: skewY(-4deg);
}
.shake-element{
  color: white;
  text-align: center;
  font-size: 35px;
  margin-top: 40px;

  -ms-transform: skewY(-4deg);
  -webkit-transform: skewY(-4deg);
  transform: skewY(-4deg);
}


#navbar a.active {
  background-color: #4CAF50;
  color: white;
}

@media only screen and (max-width: 750px) {
  .site-footer{
    background: #323BB1;
    height: 500px;
    color: #dddddd;
  }

  .bg-img {
    min-height: 180px;
    background: linear-gradient( #093db3, #ff6a00eb);
    text-align: center;
    margin-top: 20px;
    font-size: 30px;
    background-size: cover;
    position: relative;
  }
}

input[type=text], input[type=password], input[type=email] {
  width: 100%;
  padding: 12px 20px;
  height: 40px;
  font-size: medium;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  float: right;
  text-align: right;
  box-sizing: border-box;
}

button {
  background-color: #4CAF50;
  color: white;
  padding: 14px 20px;
  margin-left: 8px;
  margin-right: 8px;
  border: none;
  cursor: pointer;
  margin-top: 20px;
  width: 100%;
}

button:hover {
  opacity: 0.8;
}

/* Extra styles for the cancel button */
.cancelbtn {
  width: auto;
  padding: 10px 18px;
  float: right;
  background-color: #5D67DA;
  border-radius: 8px;
}

/* Center the image and position the close button */
.imgcontainer {
  text-align: center;
  margin: 24px 0 12px 0;
  position: relative;
  color: #83859E
}

img.avatar {
  width: 40%;
  border-radius: 50%;
}

.container {
  padding: 16px;
}

.error-text1{
  float: right;
  color: red;
  font-size: small;
}

.error-text2{
  float: right;
  color: white;
  font-size: 5px;
}

.forgot-text{
  color: #5D67DA;
  background-color: transparent;
  width: auto;
  padding: 10px 18px;
}
span.psw {
  float: left;
  padding-top: 16px;
  color: #83859E;
}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
  padding-top: 60px;
}

/* Modal Content/Box */
.modal-content {
  background-color: #fefefe;
  margin: 5% auto 15% auto; /* 5% from the top, 15% from the bottom and centered */
  border: 1px solid #888;
  width: 80%; /* Could be more or less, depending on screen size */
}

/* The Close Button (x) */

/* Add Zoom Animation */
.animate {
  -webkit-animation: animatezoom 0.6s;
  animation: animatezoom 0.6s
}

@-webkit-keyframes animatezoom {
  from {-webkit-transform: scale(0)}
  to {-webkit-transform: scale(1)}
}

@keyframes animatezoom {
  from {transform: scale(0)}
  to {transform: scale(1)}
}

/* Change styles for span and cancel button on extra small screens */
@media screen and (max-width: 300px) {
  span.psw {
    display: block;
    float: none;
  }
  .cancelbtn {
    width: 100%;
  }
}
